CTYPE(3)

NAME
isalpha, isupper, islower, isdigit, isxdigit, isalnum, isspace, ispunct, isprint, isgraph, iscntrl, isblank, isascii, toupper, tolower, toascii - character classification macros

LIBRARY
libc

SYNOPSIS
#include <ctype.h>
int c
isalpha(c);
isupper(c);
islower(c);
isdigit(c);
isxdigit(c);
isalnum(c);
isspace(c);
ispunct(c);
isprint(c);
isgraph(c);
iscntrl(c);
isblank(c);
isascii(c);
toupper(c);
tolower(c);
toascii(c);

DESCRIPTION
The above macros perform character tests and conversions on the integer c.

See the specific manual pages for more information.

SEE ALSO
isalpha(3), isupper(3), islower(3), isdigit(3), isxdigit(3), isalnum(3), isspace(3), ispunct(3), isprint(3), isgraph(3), iscntrl(3), isblank(3), isascii(3), toupper(3), tolower(3), toascii(3), ascii(7)

STANDARDS
These functions, with the exception of isblank() and toascii(), conform to ansiC.